#!/usr/bin/ksh
#
# MDStop.sh - Stop Majordomo execution agent on AIX.
#

#
# Stop Majordomo
#
RUNNING=`ps -ef | awk '/com.ibm.rational.test.lt.nextgen.Majordomo/ && !/awk/ {print $2}'`
if [[ $RUNNING -ne 0 ]]; then
    echo "Majordomo is running on pid $RUNNING"
    kill -9 `ps -ef | awk '/com.ibm.rational.test.lt.nextgen.Majordomo/ && !/awk/ {print $2}'`
    echo "Majordomo stopped"
else
    echo "Majordomo is not running"
fi
